Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoUnits Class Reference
[Nodes]

The SoUnits class is a node for setting unit types. More...

`#include <Inventor/nodes/SoUnits.h>`

Inheritance diagram for SoUnits:

List of all members.

## Public Types
enum | Units
## Public Methods
| SoUnits (void)
virtual void | doAction (SoAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFEnum | units
## Protected Methods
virtual | ~SoUnits ()

## Detailed Description

The SoUnits class is a node for setting unit types.

Even though Coin doesn't care what units you are using in your scene graph per se, there's an advantage to using SoUnits nodes: you have a way to split your scene graph into different "conceptual" parts.

When encountering SoUnit nodes, the traversal actions methods makes sure the following geometry is scaled accordingly.

## Member Enumeration Documentation

enum SoUnits::Units

| Enumerates the available unit settings.

## Constructor & Destructor Documentation

SoUnits::SoUnits | ( | void |  | ) |

| Constructor.

SoUnits::~SoUnits | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoUnits::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformation.

void SoUnits::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoUnits::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoUnits::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoNode.

void SoUnits::getMatrix | ( | SoGetMatrixAction * | action | ) | `[virtual]`

| Action method for SoGetMatrixAction. Updates action by accumulating with the transformation matrix of this node (if any). Reimplemented from SoNode.

void SoUnits::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoUnits::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoUnits::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoNode.

## Member Data Documentation

SoSFEnum SoUnits::units

| The units which will be used for nodes following this node in the traversal (until the next SoUnit node, if any). Default value of the field is SoUnits::METERS.

The documentation for this class was generated from the following files:

- SoUnits.h
- SoUnits.cpp